head	1.9;
access;
symbols
	TIGRIS_1_1_0RC2:1.9
	TIGRIS_1_1_0RC1:1.9
	TIGRIS_1_1:1.9.0.4
	TIGRIS_1_0_8:1.9
	TIGRIS_1_0_8RC3:1.9
	TIGRIS_1_0_8RC2:1.9
	TIGRIS_1_0_8RC1:1.9
	TIGRIS_1_0_7:1.9
	TIGRIS_1_0_7RC3:1.9
	TIGRIS_1_0_7RC2:1.9
	TIGRIS_1_0_7RC1:1.9
	TIGRIS_1_0_6:1.9
	TIGRIS_1_0_6RC5:1.9
	TIGRIS_1_0_6RC4:1.9
	TIGRIS_1_0_6RC3:1.9
	TIGRIS_1_0_6RC2:1.9
	TIGRIS_1_0_6RC1:1.9
	TIGRIS_1_0_5:1.9
	TIGRIS_1_0_5RC6:1.9
	TIGRIS_1_0_5RC5:1.9
	TIGRIS_1_0_5RC4:1.9
	TIGRIS_1_0_5RC3:1.9
	TIGRIS_1_0_5RC2:1.9
	TIGRIS_1_0_5RC1:1.9
	TIGRIS_1_0_4:1.9
	TIGRIS_1_0_3:1.9
	TIGRIS_1_0_2:1.9
	TIGRIS_1_0_1:1.9
	TIGRIS_1_0:1.9.0.6
	TIGRIS_1_0_0:1.9
	TIGRIS_1_0_0_RC1:1.9.0.2
	dlr:1.1.1
	TIGRIS_0_9_2_4:1.8
	TIGRIS_0_9_2_3:1.8
	HELM_PEER_PORT_BRANCH:1.1.1.2
	TURBINE_PEER:1.8
	TIGRIS_0_9_2_1:1.8
	TIGRIS_0_9_2:1.8.0.6
	TIGRIS_0_9_0:1.8.0.4
	TIGRIS_0_8_4:1.8.0.2
	NEWHELM:1.1.1.1
	TIGRIS_NOV_12_2000:1.1.1
	OLDHELM:1.7.0.2
	TIGRIS_NOV_11_2000:1.7
	TIGRIS_SEP_13_2000:1.6.0.2
	TIGRIS_BASELINE:1.6;
locks; strict;
comment	@# @;


1.9
date	2001.02.28.22.57.54;	author dlr;	state Exp;
branches;
next	1.8;

1.8
date	2000.11.15.19.00.28;	author edk;	state Exp;
branches;
next	1.7;

1.7
date	2000.09.30.00.22.34;	author jrobbins;	state Exp;
branches;
next	1.6;

1.6
date	2000.09.07.01.58.41;	author jrobbins;	state Exp;
branches;
next	1.5;

1.5
date	2000.08.28.18.02.17;	author ed;	state Exp;
branches;
next	1.4;

1.4
date	2000.08.23.17.25.08;	author ed;	state Exp;
branches;
next	1.3;

1.3
date	2000.06.06.21.41.20;	author dlr;	state Exp;
branches;
next	1.2;

1.2
date	2000.06.06.21.32.58;	author dlr;	state Exp;
branches;
next	1.1;

1.1
date	2000.06.02.23.07.49;	author davidp;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2000.11.12.21.13.48;	author dlr;	state Exp;
branches;
next	1.1.1.2;

1.1.1.2
date	2001.02.21.00.28.07;	author dlr;	state Exp;
branches;
next	;


desc
@@


1.9
log
@Refactored Makefiles to remove redundancy and reorganized decl/def of constants in the config file to match dependancies.  Additionally, now baking TurbineResources.properties from multiple properties files.
@
text
@######################################################################
# -*- Makefile -*- config file developed for a Unix system.
# 

# The project name (as installed to sandbox).
PROJECT=helm

# The path to the configuration directory.
HTTPD_CONF_DIR=$(SANDBOX)/conf/httpd.conf.d
ZONE_CONF_DIR=$(SANDBOX)/conf/zone.properties.d
SERVLETS_CONF_DIR=$(SANDBOX)/conf/servlets.d
TURBINE_CONF_DIR=$(SANDBOX)/conf/TurbineResources.properties.d

# Apache conf files, which will go into $HTTPD_CONF_DIR.  reconfigure.pl
# will notice them and add them to the Apache configuration when run.
HTTPD_CONF_FILES=18helm-webmodules.conf 48helm-webmodules.conf 50helm-main.conf

# The configuration files to copy to the sandbox configuration directory.
ZONE_CONF_FILES=40helm.zone.properties
SERVLETS_CONF_FILES=40helm.servlets
TURBINE_CONF_FILES=40helm.TurbineResources.properties
@


1.8
log
@move the rule for TLogin into a file which will be included before any of
the other components (cvsweb & issuezilla).
@
text
@d9 2
a10 1
PROPERTIES_CONF_DIR=$(SANDBOX)/conf/zone.properties.d
d12 1
a12 5
HTTPD_CONF_DIR=$(SANDBOX)/conf/httpd.conf.d

# The configuration files to copy to the sandbox configuration directory.
PROPERTIES_CONF_FILES=40helm.zone.properties
SERVLETS_CONF_FILES=40helm.servlets
d18 4
@


1.7
log
@removed 18 because the tolower thing does not need to come ahead of
rules that use it (according to edk)
@
text
@d19 1
a19 1
HTTPD_CONF_FILES=48helm-webmodules.conf 50helm-main.conf
@


1.6
log
@noodlization
@
text
@d19 1
a19 1
HTTPD_CONF_FILES=18helm-webmodules.conf 48helm-webmodules.conf 50helm-main.conf
@


1.5
log
@switch to using servlets.d and zone.properties.d ; move servlets.helm.in
to 40helm.servlets.in and zone.properties.helm.in to
40helm.zone.properties.in
@
text
@d19 1
a19 1
HTTPD_CONF_FILES=48helm-webmodules.conf 50helm-main.conf
@


1.4
log
@big changes as part of the conf file rationalization.   everything in
data/helm/apache is obsolete now (so ApacheConfig is unneeded, though
it hasn't been removed yet).  the apache conf files are now installed in
a new location, and they are fairly different: instead of vhosts,
we use rewritecond to support dynamic virtual hosts.   the file in
helm/perl/cgi/local was moved up to helm/perl/cgi
@
text
@d9 2
a10 1
CONF_DIR=$(SANDBOX)/conf
d14 2
a15 1
CONF_FILES=zone.properties.helm servlets.helm
@


1.3
log
@Changed sourcexchange references to helm.  Grr..
@
text
@d10 1
d13 6
a18 1
CONF_FILES=httpd.conf.helm zone.properties.helm servlets.helm
@


1.2
log
@Migrated Makefile and its config file to explicit list of the configuration files to be copied into the sandbox.
@
text
@d12 1
a12 2
CONF_FILES=httpd.conf.sourcexchange zone.properties.sourcexchange \
           servlets.sourcexchange
@


1.1
log
@initial checking of revised helm config files by jrobbins
@
text
@d11 3
a13 2
# A regular expression mask of files and directories to ignore from the cwd.
IGNORE_REGEX='^CVS|\.in$$|Makefile'
@


1.1.1.1
log
@Merging newhelm tree into helm, as per IZ issue #557.  Previous major version of helm is tagged TIGRIS_NOV_11_2000.
@
text
@d9 1
a9 11
PROPERTIES_CONF_DIR=$(SANDBOX)/conf/zone.properties.d
SERVLETS_CONF_DIR=$(SANDBOX)/conf/servlets.d
HTTPD_CONF_DIR=$(SANDBOX)/conf/httpd.conf.d

# The configuration files to copy to the sandbox configuration directory.
PROPERTIES_CONF_FILES=40helm.zone.properties
SERVLETS_CONF_FILES=40helm.servlets

# Apache conf files, which will go into $HTTPD_CONF_DIR.  reconfigure.pl
# will notice them and add them to the Apache configuration when run.
HTTPD_CONF_FILES=48helm-webmodules.conf 50helm-main.conf
d11 2
@


1.1.1.2
log
@Replacing the HEAD with the HELM_PEER_PORT_BRANCH.
@
text
@d19 1
a19 1
HTTPD_CONF_FILES=18helm-webmodules.conf 48helm-webmodules.conf 50helm-main.conf
@


